> For the complete documentation index, see [llms.txt](https://docs.convai.com/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.convai.com/api-docs/plugins-and-integrations/unity-plugin/pre-requisites.md).

# Pre-Requisites

### Unity Version

{% hint style="warning" %}
The Convai Unity SDK supports a minimum of Unity 2022.3.x or later.
{% endhint %}

{% hint style="info" %}
You should have Git installed locally on your system.
{% endhint %}

## Skills and Knowledge

Before integrating the Convai SDK, you should be comfortable with the following:

1. **Importing Packages**: Know how to import external packages into a Unity project.
2. **Unity Editor**: Be proficient in navigating the Unity Editor interface.
3. **Animations**: Understand how to add and handle animations for assets.
4. **Programming in C#**: Have a basic experience programming Unity scripts in C#.
5. **Script Integration**: Be capable of adding scripts to a game object.
6. **Building and Deployment**: Know how to build and deploy an application to your chosen platform.

Having these skills will ensure a smooth integration and optimal use of the Convai Unity SDK in your projects.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.convai.com/api-docs/plugins-and-integrations/unity-plugin/pre-requisites.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
